<?php
// Start Session
session_start();

// Include Config
require('config.php');

require('classes/Messages.php');
require('classes/Bootstrap.php');
require('classes/Controller.php');
require('classes/Model.php');

require('controllers/home.php');
require('controllers/user.php');
require('controllers/quiz.php');
// require('controllers/topic.php');
// require('controllers/questions.php');
// require('controllers/answers.php');

require('models/home.php');
require('models/user.php');
require('models/quiz.php');
// require('models/topic.php');
// require('models/question.php');
// require('models/answer.php');

$bootstrap = new Bootstrap($_GET);
$controller = $bootstrap->createController();
if ($controller)
{
	$controller->executeAction();
}