<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="Aeric Poon">  
	<title><?php echo APP_NAME ?></title>
	<link rel="stylesheet" href="<?php echo ROOT_PATH ?>assets/css/bootstrap.css">
	<link rel="stylesheet" href="<?php echo ROOT_PATH ?>assets/css/style.css">
</head>
<body>
	<nav class="navbar navbar-default">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <span class="text-uppercase"><a class="navbar-brand" href="#"><?php echo APP_NAME ?></a></span>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="<?php echo ROOT_URL ?>">Home</a></li>
            <li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">Web App <span class="caret"></span></a>
              <ul class="dropdown-menu">
                  <li><a href="https://quiz.computerise.net/backend/" target="_blank" title="PHP">Backend Web App</a></li>
                  <li role="separator" class="divider"></li>
                  <li><a href="#" title="PHP">Frontend Web App</a></li>
                </ul>
            </li>

            <li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">Desktop App <span class="caret"></span></a>
              <ul class="dropdown-menu">
                  <li><a href="https://quiz.computerise.net/frontend/download/B4JQuiz.exe" title="B4J">Windows App (34.9MB)</a></li>
                  <li role="separator" class="divider"></li>
                  <li class="disabled"><a href="#">Linux App (by request)</a></li>
                  <li role="separator" class="divider"></li>
                  <li class="disabled"><a href="#">Mac OS App (by request)</a></li>
                </ul>
            </li>
            <li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">Mobile App <span class="caret"></span></a>
              <ul class="dropdown-menu">
                  <li><a href="https://quiz.computerise.net/frontend/download/B4AQuiz.apk" title="B4A">Android App (860KB)</a></li>
                  <li role="separator" class="divider"></li>
                  <li class="disabled"><a href="#">iOS App (by request)</a></li>
                </ul>
            </li>             
          </ul>

          <ul class="nav navbar-nav navbar-right">
            <?php if (isset($_SESSION['is_logged_in']) && $_SESSION['is_logged_in'] == 'frontend') : ?>
            <li><a href="<?php echo ROOT_URL ?>">Hi, <?php echo $_SESSION['user_data']['name']; ?></a></li>
            <li><a href="<?php echo ROOT_URL ?>user/logout">Logout</a></li>
          <?php else : ?>
            <li><a href="<?php echo ROOT_URL ?>user/login">Login</a></li>
            <li><a href="<?php echo ROOT_URL ?>user/register">Register</a></li>
          <?php endif ?>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
      <div class="row">
        <div class="col">
          <?php Messages::display(); ?>     	    
        </div>        
      </div>
      <?php require($view); ?>
    </div><!-- /.container -->
    
    <script src="<?php echo ROOT_PATH ?>assets/js/jquery.min.js"></script>
    <script src="<?php echo ROOT_PATH ?>assets/js/bootstrap.min.js"></script>
</body>
</html>