<?php
class HomeModel extends Model
{
	public function Index()
	{
		return $this->getTopics();
		// return;
	}

	private function getTopics()
	{
		try
		{
			$user = 0;
			// if (isset($_SESSION['user_data']['id'])) $user = $_SESSION['user_data']['id'];
			if (isset($_SESSION['is_logged_in']) && $_SESSION['is_logged_in'] == 'frontend')
			{
				$user = $_SESSION['user_data']['id'];
			}
			// $this->query('SELECT id, topic, shortdesc FROM topics WHERE enabled = 1 ORDER BY id LIMIT 10');
			$qry = "SELECT";
			$qry .= " t.id,";
			$qry .= " t.topic,";
			$qry .= " t.shortdesc,";
			$qry .= " IFNULL(r.score, '') AS score";
			$qry .= " FROM results r";
			$qry .= " JOIN users u";
			$qry .= " ON r.user = u.id";
			$qry .= " AND u.id = :user";
			$qry .= " RIGHT JOIN topics t";
			$qry .= " ON t.id = r.topic";
			$qry .= " WHERE t.enabled = 1";
			$qry .= " ORDER BY t.id";
			$this->query($qry);
			$this->bind(':user', $user);
			$rows = $this->resultSet();
			return $rows;
		} 
		catch (PDOException $e)
		{
			$msg_text = "[Exception] ".$e->getMessage();
			Messages::setMsg($msg_text, 'error');
			return;
		}		
	}
}